
Redmine - Feature #9347

Display simple dates/times for issues list

2011-09-29 02:29 - Mezz Anon
Description

Showing simple/relative date/time instead of a full date for issues would be very helpful - when all the dates have the same format

they don't stand out.

Could you consider adding the following logic to date/time display in issue lists (and if its not too much trouble through the rest of the

app).

Created

Under 1 hour: n minute[s] ago

Under 1 day: n hour[s] ago

Under 1 week: n day[s] ago

Under 1 month: n week[s] ago

Under 1 year: n month[s] ago

Over 1 year: Over n year[s] ago

Due

Within 1 day: In n hour[s]

Within 1 week: In n day[s]

Within 1 month: In n week[s]

Within 1 year: In n month[s]

Over 1 year: In over n year[s]

Thanks!

History

#1 - 2011-09-30 01:32 - Mischa The Evil

You mean that you want the described date-format as the default for date-field values in the issueslists? In that case I'd vote against such a change.

In issue-lists I'd like the format as configured globally.

#2 - 2011-10-01 05:02 - Mezz Anon

It could be done as a globally used config setting, or it could be done as a subject matter based preference but the aesthetics doesn't necessarily

warrant that level of additional configuration imho.

Date format "Relative" available as a global configuration with i18n support doesn't seem too far fetched..I'd do it myself if RoR was my forte.

#3 - 2012-03-26 18:00 - Mezz Anon

Any further consideration for adding the "Relative" date option?

#4 - 2015-09-27 21:39 - Wojtek …

bump?

I just go annoyed with relative timestamps once again. It's only getting in the way without much value

#5 - 2017-03-08 12:54 - Mar Goli

It should be a Settings option:

Show relative dates

Show absolute/full dates

Show both (hovering over the relative date to see the absolute date is not enough for those who are really annoyed by relative dates ;)
https://www.redmine.org/projects/redmine/wiki/RedmineSettings#Date-format


#6 - 2017-04-06 15:07 - Toshi MARUYAMA

- Subject changed from Display simple dates/times for issues to Display simple dates/times for issues list

- Category set to Issues list
